Skip to main content
GET
/
api
/
v1
/
exposure
/
cves
CVEs
curl --request GET \
  --url https://api.defendis.ai/api/v1/exposure/cves \
  --header 'Authorization: Bearer <token>'
{
  "cves": [
    {
      "cveid": "CVE-2024-0001",
      "description": "Example CVE description",
      "created_at": "2024-01-10T12:00:00Z",
      "updated_at": "2024-02-10T08:00:00Z",
      "score": 7.5,
      "base_severity": "HIGH",
      "weaknessid": "CWE-79",
      "references": [
        {
          "cveid": "CVE-2024-0001",
          "url": "https://example.com/advisory",
          "author": "MISC",
          "tags": [
            "Third Party Advisory"
          ]
        }
      ]
    }
  ],
  "pagination": {
    "totalPages": 1,
    "totalRecords": 1,
    "currentPage": 1,
    "pageSize": 20
  }
}

Authorizations

Authorization
string
header
required

Required for all /api/v1 endpoints. Use Authorization: Bearer <api_key>

Response

200 - application/json

CVEs response

cves
object[]
pagination
object